Migration from 2.9.4 to 2.9.13 to 3.1.8 resp. new Server

All about webserver configurations, PHP and databases.

Moderator: Thorsten

Post Reply
bs83
Posts: 1
Joined: Mon Nov 21, 2022 12:52 pm

Migration from 2.9.4 to 2.9.13 to 3.1.8 resp. new Server

Post by bs83 »

Hi all,

i have updated our slightly outdated 2.9.4 version, which was installed on an ubuntu 16.04 LTS with lampp (apache2, php 7.3), and ported it successfully to a newer ubuntu 20.04 LTS server with native apache2 and php 7.4.3. This setup was working fine. On this server there also runs an OSticket instance, which now requires php 8+, so i had to release-update the ubuntu to version 22.04 LTS that natively has php 8.1 onboard. Unfortunately, due to very strict firewall and security policies in our company, i am not able to install 3rd party ppa like ondrej. Is there any possibility to update the now no longer running 2.9.13 version to current release? I've tried all the procedures i have found (keeping "assets, config, data, images"-directories), run the update script, but no luck at all. Today it's end of work, but tomorrow i can paste the given messages in /var/log/apache2/error.log. I also tried to do a clean install and copied the above-mentioned directories over the installaion and imported the mysql-database (mariaDB). Veryfied the DB-credentials in the database.php but also no success. LDAP is not used at the moment, there are only local users. But, maybe, it was in the inital setup years ago (mis-)configured. The error-message is as followed:

Code: Select all

Uncaught exception: 'TypeError'

Message: 'Return value of phpMyFAQ\Configuration::isLdapActive() must be of the type bool, null returned'
It makes no difference if i delete the ldap.php in /config or not or if i replace it with the template. I think there are some entrys is the database, but i need help to find out where it is located and what is to change / delete.

I think my issue is related to viewtopic.php?f=7&t=43190 which should almost be the same problem.
Thorsten
Posts: 15432
Joined: Tue Sep 25, 2001 11:14 am
Location: #phpmyfaq
Contact:

Re: Migration from 2.9.4 to 2.9.13 to 3.1.8 resp. new Server

Post by Thorsten »

Hi,

this is the fix: https://github.com/thorsten/phpMyFAQ/co ... eb3bb46061

It will be released with 3.1.9 very soon.

bye
Thorsten
phpMyFAQ Maintainer and Lead Developer
amazon.de Wishlist
Post Reply